It's all about the answers!

Ask a question

How do I Upgrade RTC 4.0.2 Eclipse to 5.0.2 using the 5.0.2 P2 package


Jamie Berry (14013079) | asked Apr 09 '15, 6:12 p.m.
We are preparing to upgrade our CLM servers from 4.0.2 to 5.0.2.  I am testing various client upgrade scenarios and am running into an issue with one in particular.  I thought this had worked previously, but it isn't anymore...

I am trying to take an existing 4.0.2 Eclipse client that was installed by unzipping the RTC-Client-Win-4.0.2.zip file into a local directory and upgrade it to 5.0.2.  From my understanding, there are two upgrade paths possible.

First, I can try using the 5.0.2 Installation Manager Eclipse client for 3.6 Eclipse (the 4.0.2 bundled eclipse is Eclipse 3.6) and tell it to install the 5.0.2 RTC features on top of an existing 3.6 Eclipse.  When I try doing this, it fails due to missing dependencies and says I need to update my Eclipse with a list of packages.   I could try to find all of the packages using the various update sites manually, or I thought the easiest route would be to use the 5.0.2 P2 package and let Eclipse contact the update sites to look for missing dependencies.

That leads to the second option.  Use the 5.0.2 P2 package to install RTC 5.0.2 on top of an existing Eclipse installation.  I would have thought this was doable as it would be an upgrade for the installation, however there seems to be missing pieces in the P2 package that prevents me from doing a full upgrade.  The 4.0.2 client has RTC Client launchers that the P2 package doesn't have 5.0.2 versions (at least that is what the error seems to be telling me. (see error messages below)

Does anyone know how to upgrade a base 4.0.2 Eclipse bundled client to 5.0.2?

Thanks,
Jamie.

Errors received:

Cannot complete the install because of a conflicting dependency.
  Software being installed: Rational Team Concert Client Feature 4.5.300.RTC-I20141031-0926 (com.ibm.team.rtc.client.feature.feature.group 4.5.300.RTC-I20141031-0926)
  Software currently installed: Rational Team Concert Client including launchers for standalone installation 4.1.100.RTC-I20130222-1633 (com.ibm.team.concert.uuid 4.1.100.RTC-I20130222-1633)
  Only one of the following can be installed at once:
    Rational Team Concert Client Feature 4.1.100.RTC-I20130222-1633 (com.ibm.team.rtc.client.feature.feature.jar 4.1.100.RTC-I20130222-1633)
    Rational Team Concert Client Feature 4.5.300.RTC-I20141031-0926 (com.ibm.team.rtc.client.feature.feature.jar 4.5.300.RTC-I20141031-0926)
  Cannot satisfy dependency:
    From: Rational Team Concert Client including launchers for standalone installation 4.1.100.RTC-I20130222-1633 (com.ibm.team.concert.uuid 4.1.100.RTC-I20130222-1633)
    To: com.ibm.team.rtc.client.feature.feature.group [4.1.100.RTC-I20130222-1633]
  Cannot satisfy dependency:
    From: Rational Team Concert Client Feature 4.1.100.RTC-I20130222-1633 (com.ibm.team.rtc.client.feature.feature.group 4.1.100.RTC-I20130222-1633)
    To: com.ibm.team.rtc.client.feature.feature.jar [4.1.100.RTC-I20130222-1633]
  Cannot satisfy dependency:
    From: Rational Team Concert Client Feature 4.5.300.RTC-I20141031-0926 (com.ibm.team.rtc.client.feature.feature.group 4.5.300.RTC-I20141031-0926)
    To: com.ibm.team.rtc.client.feature.feature.jar [4.5.300.RTC-I20141031-0926]

2 answers



permanent link
Donald Nong (14.4k314) | answered Apr 09 '15, 8:04 p.m.
 Since you're upgrading, you need to use the option "check for updates", not "install new software". Steps are as follows.
1. Add the RTC 5.0.2 p2 zip file to Windows > Preferences > Install/Update > Available Software Sites.
2. Choose Help > Check for Updates.
3. It should pick up the new version of RTC (4.5.3). Follow the prompts and finish the installation.
4. Restart RTC and it becomes 5.0.2.

permanent link
Nitin Verma (136) | answered Apr 09 '15, 10:51 p.m.
 Hi,

Even I tried to upgrade my RTC eclipse client via IBM installation manager update option but it did not work.So I choose 2nd option i.e install new version on top of existing version.It worked for me.Below are the steps I followed :

(1) You 1st need to update your IBM installation manager to latest version since the latest version of RTC requires an updated version of installation manager. You can update installation manager by going into Installation manager Files>Preferences>Updates and then tick the check box for "Search for Installation Manager Updates".Apply it and click on either install or update in Installation Manager . It will update Installation Manager to latest version

(2) Now unzip the package file and go to Installation Manager files>Preferences>Repositories and add the path of repository of this package into this section and test connection.Once added test the connection and make sure this repository is ticked.You can un-tick all other repositories to save time so that installation manager just checks for this repository alone 

(3) Now in Installation manager click Install once repositories are checked a list of installed packages are displayed , scroll down and you will see RTC client for eclipse 5.0.2 version being displayed 

(4) Select that and proceed with installation. You will get the new version installed on top on previous one

Hope it helps

Your answer


Register or to post your answer.